<?php


require 'cn2.php';

$sql= "select * from mg_usuarios";

$resultado = $mysqli->query($sql);
if($resultado -> num_rows > 0){
    date_default_timezone_set('America/Mexico_City');
    
   
    require_once 'Classes/PHPExcel.php';
    $objPHPExcel= new PHPExcel();
    $objPHPExcel->getProperties()->setCreator("Sistemas MG")->
    setLastModifiedBy("MG")->
    setTitle("USUARIOS")->
    setSubject("Reporte Usuarios")->
    setDescription("Reporte Usuarios MG")->
    setKeywords("Reporte de Usuarios MG ")->
    setCategory("Reporte");

    $tituloreporte = "Usuarios MG";
    $titulosColumnas = array('ID','NOMBRE','AREA','SUCURSAL',
    'USUARIO','CLAVE','USUARIOBP','CLAVEBP','CORREO','CLAVECORREO','USUARIOIMP',
    'CLAVETEL');
    
    $objPHPExcel->setActiveSheetIndex(0)
    ->mergeCells('A1:L1');
    
    $objPHPExcel->setActiveSheetIndex(0)
    ->setCellValue('A1',  $tituloreporte)
    ->setCellValue('A2',  $titulosColumnas[0])  
    ->setCellValue('B2',  $titulosColumnas[1])
    ->setCellValue('C2',  $titulosColumnas[2])
    ->setCellValue('D2',  $titulosColumnas[3])
    ->setCellValue('E2',  $titulosColumnas[4])  
    ->setCellValue('F2',  $titulosColumnas[5])
    ->setCellValue('G2',  $titulosColumnas[6])
    ->setCellValue('H2',  $titulosColumnas[7])
    ->setCellValue('I2',  $titulosColumnas[8]) 
    ->setCellValue('J2',  $titulosColumnas[9])
    ->setCellValue('K2',  $titulosColumnas[10])
    ->setCellValue('L2',  $titulosColumnas[11]);
    
    
    $i=3;
    while($fila= $resultado->fetch_array())
    {
        $objPHPExcel->setActiveSheetIndex(0)
        ->setCellValue('A'.$i, $fila['id'])
        ->setCellValue('B'.$i, $fila['nombre'])
        ->setCellValue('C'.$i, $fila['area'])
        ->setCellValue('D'.$i, $fila['sucursal'])
        ->setCellValue('E'.$i, $fila['usuario'])
        ->setCellValue('F'.$i, $fila['clave'])
        ->setCellValue('G'.$i, $fila['usuariobp'])
        ->setCellValue('H'.$i, $fila['clavebp'])
        ->setCellValue('I'.$i, $fila['correo'])
        ->setCellValue('J'.$i, $fila['clavecorreo'])
        ->setCellValue('K'.$i, $fila['ucimp'])
        ->setCellValue('L'.$i, $fila['clavetel']);
    $i++;
        
    }
    for($i = 'A'; $i <= 'Q'; $i++){
    $objPHPExcel->setActiveSheetIndex(0)->getColumnDimension($i)->setAutoSize(TRUE);
}
    $objPHPExcel->getActiveSheet()->setTitle('Usuarios');
      
   
    $objPHPExcel->setActiveSheetIndex(0);
      
    // Inmovilizar paneles
    $objPHPExcel->getActiveSheet(0)->freezePaneByColumnAndRow(0,3);
    
       header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
    header('Content-Disposition: attachment;filename="ReporteUsuariosMG.xlsx"');
    header('Cache-Control: max-age=0');
      
    $objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
    $objWriter->save('php://output');
    exit;
    }
    else{
        print_r('No hay resultados para mostrar');
    }
?>